Skip to main content
GET
/
api
/
alerts
/
filter-options
cURL
curl -X GET "https://app.cotool.ai/api/alerts/filter-options" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "detections": [
    {
      "key": "<string>",
      "label": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "count": 1
    }
  ],
  "sources": [
    {
      "count": 1
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Response

Successful response

detections
object[]
required

Detection filter options derived from readable alerts

sources
object[]
required

Source filter options actually present on readable alerts